(function($) {
	function timeTodate(time){
		var date = new Date(time*1);
		Y = date.getFullYear();
		var month = date.getMonth()+1;
		M = month < 10 ? ('0'+ month) : month;
		var day = date.getDate();
		D = day < 10 ? ('0' + day) : day;
		var hour = date.getHours();
		h = hour < 10 ? ('0' + hour) : hour;
	    var minutes = date.getMinutes();
		m = minutes < 10 ? ('0' + minutes) : minutes;
		return Y + '-' + M + '-' + D + ' ' + h + ':' + m;
	}
	function timeDiff(time) {
		var diffdate = new Date().getTime() - time;
		var days = Math.floor(diffdate / (24 * 3600 * 1000));
		var leave1 = diffdate % (24 * 3600 * 1000);
		var hours = Math.floor(leave1 / (3600 * 1000));
		var leave2 = leave1 % (3600 * 1000);
		var minutes = Math.floor(leave2 / (60 * 1000));
		var leave3 = leave2 % (60 * 1000);
		var seconds = Math.round(leave3 / 1000);
		return (days && days > 0) ? timeTodate(time) : (hours && hours > 0) ? hours + "小时前" : (minutes && minutes > 0) ? minutes + "分钟前" : "刚刚"
	}
	var emojiConf = [
		{emojiSrc:"ee_1",emojiDemo:"[):]"},
		{emojiSrc:"ee_2",emojiDemo:"[:D]"},
		{emojiSrc:"ee_3",emojiDemo:"[;)]"},
		{emojiSrc:"ee_4",emojiDemo:"[:-o]"},
		{emojiSrc:"ee_5",emojiDemo:"[:p]"},
		{emojiSrc:"ee_6",emojiDemo:"[(H)]"},
		{emojiSrc:"ee_7",emojiDemo:"[:@]"},
		{emojiSrc:"ee_8",emojiDemo:"[:s]"},
		{emojiSrc:"ee_9",emojiDemo:"[:$]"},
		{emojiSrc:"ee_10",emojiDemo:"[:(]"},
		{emojiSrc:"ee_11",emojiDemo:"[:'(]"},
		{emojiSrc:"ee_12",emojiDemo:"[:|]"},
		{emojiSrc:"ee_13",emojiDemo:"[(a)]"},
		{emojiSrc:"ee_14",emojiDemo:"[8o|]"},
		{emojiSrc:"ee_15",emojiDemo:"[8-|]"},
		{emojiSrc:"ee_16",emojiDemo:"[+o(]"},
		{emojiSrc:"ee_17",emojiDemo:"[<o)]"},
		{emojiSrc:"ee_18",emojiDemo:"[|-)]"},
		{emojiSrc:"ee_19",emojiDemo:"[*-)]"},
		{emojiSrc:"ee_20",emojiDemo:"[:-#]"},
		{emojiSrc:"ee_21",emojiDemo:"[:-*]"},
		{emojiSrc:"ee_22",emojiDemo:"[^o)]"},
		{emojiSrc:"ee_23",emojiDemo:"[8-)]"},
		{emojiSrc:"ee_24",emojiDemo:"[(|)]"},
		{emojiSrc:"ee_25",emojiDemo:"[(u)]"},
		{emojiSrc:"ee_26",emojiDemo:"[(S)]"},
		{emojiSrc:"ee_27",emojiDemo:"[(*)]"},
		{emojiSrc:"ee_28",emojiDemo:"[(#)]"},
		{emojiSrc:"ee_29",emojiDemo:"[(R)]"},
		{emojiSrc:"ee_30",emojiDemo:"[({)]"},
		{emojiSrc:"ee_31",emojiDemo:"[(})]"},
		{emojiSrc:"ee_32",emojiDemo:"[(k)]"},
		{emojiSrc:"ee_33",emojiDemo:"[(F)]"},
		{emojiSrc:"ee_34",emojiDemo:"[(W)]"},
		{emojiSrc:"ee_35",emojiDemo:"[(D)]"}
	];

	function getNewsDetails(callback) {
		try {
			if (window.javaHandler) {
				data = JSON.parse(window.javaHandler.getNewsDetails())
			} else {
				data = JSON.parse(prompt("_$#getNewsDetails#_"))
			}
		} catch (err) {}
		callback(data)
	}
	function getComments(offset, size, callback) {
		try {
			if (window.javaHandler) {
				data = JSON.parse(window.javaHandler.getComments(offset, size))
			} else {
				var map = {
					offset: offset,
					size: size
				};
				data = JSON.parse(prompt("_$#getComments#_", JSON.stringify(map)))
			}
		} catch (err) {}
		callback(data)
	}
	function likeNews(callback) {
		var data = null;
		try {
			if (window.javaHandler) {
				data = JSON.parse(window.javaHandler.likeNews())
			} else {
				data = JSON.parse(prompt("_$#likeNews#_"))
			}
		} catch (err) {}
		if (data.res) {
			callback(data)
		}
	}
	function addComment(comment) {
		var data = comment;
		var newCom = data.content.replace(/\[[^\[\]$]*\]/g, function(match){
		    var replaceStr = '';

		     for(var i=0; i<emojiConf.length; i++){
                 if (match === emojiConf[i].emojiDemo) {
		          	replaceStr += "<img src='./img/"+imgItem.emojiSrc+".png' />";
		        }
		    }
	      	return replaceStr === '' ? match : replaceStr
	    });
		data.avatar = (data.avatar && data.avatar != "") ? data.avatar : "./img/default_user.png";
		var html = '<li class="animated fadeInLeft"><div class="header"><span class="headimg"><img src="' + data.avatar + '"></span><span>' + data.nickname + '</span></div><div class="center"><span>' + timeDiff(data.updateAt) + '</span></div><div class="bottom">' + newCom + '</div></li>';
		if ($(".common-content ul li").length > 0) {
			$(".common-content ul li").first().before(html)
		} else {
			$(".common-content ul").append(html)
		}
		getComments(1, 1, function(resp){
			if(resp.commentsCount){
				if(resp.commentsCount - 0 > 10000 ){
					resp.commentsCount = '10000+';
				}
				document.getElementById("comments").innerHTML = "全部评论(" + resp.commentsCount + ")";
			}
		})
		$(".dz-loading-over img").addClass("img-none");
	}
	function isPraised(ispraised) {
		if (ispraised) {
			$(".zan-content .zan").addClass("over active")
		} else {
			$(".zan-content .zan").addClass("over")
		}
	}
	function toCommentposition() {
		var getElOffsetTop = $("#comments")[0].offsetTop;
		$(".content").scrollTo({
			toT: getElOffsetTop
		}, 100, 'swing')
	}
	window.CMSSDKNative = {
		getNewsDetails: getNewsDetails,
		getComments: getComments,
		likeNews: likeNews,
		addComment: addComment,
		isPraised: isPraised,
		toCommentposition: toCommentposition
	}
})(Zepto);